package com.ssm.manage.mapper;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.CashList;
import com.ssm.manage.entity.ServiceOrder;
import com.ssm.manage.entity.ServiceOrders;
import com.ssm.manage.query.CashListRequest;
import com.ssm.manage.query.ServiceOrdersRequest;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface ServiceOrdersMapper extends BaseMapper<ServiceOrders> {
    List<ServiceOrders> selectGroup(ServiceOrdersRequest serviceOrdersRequest);
    List<ServiceOrders> selectGroupIsPage(ServiceOrdersRequest serviceOrdersRequest);

    List<ServiceOrders> getDocNum(ServiceOrdersRequest cashListRequest);
    List<ServiceOrders> getSettsNum(ServiceOrdersRequest cashListRequest);

    int addServiceOrders(ServiceOrders serviceOrders);
    int cancelServiceOrders(ServiceOrders serviceOrders);
    List<ServiceOrders> selectPage2(ServiceOrdersRequest cashListRequest);

    ServiceOrders one(ServiceOrdersRequest serviceOrders);
}
